
<p align="center">
    <img src="https://d33wubrfki0l68.cloudfront.net/bda892015ae427fcde86e3f60db1d9f6237fecb7/a99b4/images/app/shopify-demo-app.png" width="90%" alt="DSKit"/>
</p>

# Shopify

This project is powered by [DSKit](https://github.com/imodeveloperlab/dskit) a Design System Kit for iOS 13+, an iOS SDK written in Swift with a collection of reusable components, guided by clear standards, that can be assembled to build any number of applications.

<p align="center">
    <img src="https://img.shields.io/badge/Swift-5.5-brightgreen.svg" />
    <a href="https://swift.org/package-manager">
        <img src="https://img.shields.io/badge/spm-compatible-brightgreen.svg?style=flat" alt="Swift Package Manager" />
    </a>
    <img src="https://img.shields.io/badge/iOS-13+-brightgreen.svg?style=flat" alt="iOS"/>
    <img src="https://circleci.com/gh/imodeveloperlab/dskit/tree/main.svg?style=shield" alt="iOS"/>
    <img src="https://img.shields.io/github/issues/imodeveloperlab/dskit"/>
 
</p>

<p align="center">
   <a href="https://www.youtube.com/watch?v=QP4jnrtmyTI"> <img src="https://dskit.app/images/envato/demo-video-shopify.jpg" width="95%" alt="DSKit"/></a>
</p>



## Configuration
Just add your api key and domain and app is ready to use

* API KEY is used to receive your store's data like items and collections. To receive the key, you have to visit the admin panel and proceed to Apps - Manage Private Apps. Create a new application if you don't have one by copying Storefront API and adding it to your library's configuration.

* SHOP DOMAIN is the main domain of your store. You can find it your store's domain by visiting the admin panel on a Home tab. There you can find the following message - Your current domain is xxx.myshopify.com

How to generate a shop api key https://shopify.dev/tutorials/generate-api-credentials

<p align="center">
    <img src="https://d33wubrfki0l68.cloudfront.net/896e4634d194d34ebb9807ca5228c6f371166bcc/7ee0f/images/app/shopify_config.png" alt="DSKit"/>
</p>

## Screens

<table>
  <tr>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/603ffd90688eae7f4858fab286665cf4e3a8aa0b/0ef14/images/demo/shopify/shopify-1.png"/></td>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/971485223b6132c52606ff82e7a102dae6a197fb/00bb0/images/demo/shopify/shopify-2.png"/></td>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/4df3853aed699a6c24bea200f3a881d558671e3c/2f38a/images/demo/shopify/shopify-3.png"/></td>
  <tr>  
  <tr>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/70c018f57b1b7905a69f62ac4d38a130ce23b95f/36646/images/demo/shopify/shopify-4.png"/></td>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/bdb6c4d4e0e508aa9f4886d373dc701f453dcf27/26a28/images/demo/shopify/shopify-5.png"/></td>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/1e905b9652b5716c53780b3a827c739fa57d4b42/86283/images/demo/shopify/shopify-6.png"/></td>
  <tr>  
  <tr>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/2cd7774b9729eff833aa4bacc7cd58581a564e5b/96394/images/demo/shopify/shopify-7.png"/></td>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/982c03668c06daf7a65771ce0de760e76a14289c/a6bea/images/demo/shopify/shopify-8.png"/></td>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/3174789f714fcdb788215c87fceb2c47061a936e/9d18b/images/demo/shopify/shopify-9.png"/></td>
  <tr> 
  <tr>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/ab335616f930450a439db75aa83b04a2c28dcaea/ff377/images/demo/shopify/shopify-10.png"/></td>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/00a76f9f7d9038909693aca1ce00a9e359611b47/f39af/images/demo/shopify/shopify-11.png"/></td>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/6f8b9ee3f7254d5a653d6f3f176b67931c1f691e/05047/images/demo/shopify/shopify-12.png"/></td>
  <tr> 
    <tr>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/097504b08d9ceddc8f01eab82a0b494c1e08c106/eaaac/images/demo/shopify/shopify-13.png"/></td>
    <td><img src="https://d33wubrfki0l68.cloudfront.net/9ba4c287090e928f1107ff4173eef1e2810083f4/8e118/images/demo/shopify/shopify-14.png"/></td>
    <td></td>
  <tr> 
    
</table>
